GifEncoder (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Acme.JPM.Encoders
Class GifEncoder

    java.lang.Object
      Acme.JPM.Encoders.ImageEncoder
          Acme.JPM.Encoders.GifEncoder

All Implemented Interfaces:
  java.awt.image.ImageConsumer

    public class GifEncoder

extends ImageEncoder

Write out an image as a GIF.

Fetch the software.
Fetch the entire Acme package.

Field Summary

Fields inherited from class Acme.JPM.Encoders.ImageEncoder
`out`

Fields inherited from interface java.awt.image.ImageConsumer
`COMPLETESCANLINES, IMAGEABORTED, IMAGEERROR, RANDOMPIXELORDER, SINGLEFRAME, SINGLEFRAMEDONE, SINGLEPASS, STATICIMAGEDONE, TOPDOWNLEFTRIGHT`

Constructor Summary
`GifEncoder(java.awt.Image img, java.io.OutputStream out)` Constructor from Image.
`GifEncoder(java.awt.Image img, java.io.OutputStream out, boolean interlace)` Constructor from Image with interlace setting.
`GifEncoder(java.awt.image.ImageProducer prod, java.io.OutputStream out)` Constructor from ImageProducer.
`GifEncoder(java.awt.image.ImageProducer prod, java.io.OutputStream out, boolean interlace)` Constructor from ImageProducer with interlace setting.

Method Summary

Methods inherited from class Acme.JPM.Encoders.ImageEncoder
`encode, getProperties, imageComplete, setColorModel, setDimensions, setHints, setPixels, setPixels, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GifEncoder

    public GifEncoder(java.awt.Image img,
                      java.io.OutputStream out)
               throws java.io.IOException

  Constructor from Image.

  Parameters:
    `img` - The image to encode.
    `out` - The stream to write the GIF to.
  Throws:
    `java.io.IOException`

### GifEncoder

    public GifEncoder(java.awt.Image img,
                      java.io.OutputStream out,
                      boolean interlace)
               throws java.io.IOException

  Constructor from Image with interlace setting.

  Parameters:
    `img` - The image to encode.
    `out` - The stream to write the GIF to.
    `interlace` - Whether to interlace.
  Throws:
    `java.io.IOException`

### GifEncoder

    public GifEncoder(java.awt.image.ImageProducer prod,
                      java.io.OutputStream out)
               throws java.io.IOException

  Constructor from ImageProducer.

  Parameters:
    `prod` - The ImageProducer to encode.
    `out` - The stream to write the GIF to.
  Throws:
    `java.io.IOException`

### GifEncoder

    public GifEncoder(java.awt.image.ImageProducer prod,
                      java.io.OutputStream out,
                      boolean interlace)
               throws java.io.IOException

  Constructor from ImageProducer with interlace setting.

  Parameters:
    `prod` - The ImageProducer to encode.
    `out` - The stream to write the GIF to.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details